#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# Texture Class

Extends EventTarget
Defined in: `src/pixi/textures/Texture.js:8`
Module: PIXI

A texture stores the information that represents an image or part of an image. It cannot be added to the display list directly. To do this use PIXI.Sprite. If no frame is provided then the whole image is used

## Constructor

### `Texture`

(

- `baseTexture`
- `frmae`

)

Defined in `src/pixi/textures/Texture.js:8`

#### Parameters:

- `baseTexture` BaseTexture
- `frmae` Rectangle

- Index
- Methods
- Properties

## Item Index

### Methods

- addTextureToCache static
- fromCanvas static
- fromFrame
- fromImage static
- removeTextureFromCache static
- setFrame

### Properties

- baseTexture
- frame

## Methods

### `addTextureToCache`

(

- `texture`
- `id`

)
static

Defined in `src/pixi/textures/Texture.js:158`

Adds a texture to the textureCache.

#### Parameters:

- `texture` Texture
- `id` String

  the id that the texture will be stored against.

### `fromCanvas`

(

- `canvas`

)
static

Defined in `src/pixi/textures/Texture.js:142`

Helper function that returns a texture based on a canvas element If the canvas is not in the texture cache it will be created and loaded

#### Parameters:

- `canvas` Canvas

  The canvas element source of the texture

#### Returns:

Texture

### `fromFrame`

(

- `frameId`

)

Defined in `src/pixi/textures/Texture.js:127`

Helper function that returns a texture based on a frame id If the frame id is not in the texture cache an error will be thrown

#### Parameters:

- `frameId` String

  The frame id of the texture

#### Returns:

Texture

### `fromImage`

(

- `imageUrl`

)
static

Defined in `src/pixi/textures/Texture.js:105`

Helper function that returns a texture based on an image url If the image is not in the texture cache it will be created and loaded

#### Parameters:

- `imageUrl` String

  The image url of the texture

#### Returns:

Texture

### `removeTextureFromCache`

(

- `id`

)
Texture static

Defined in `src/pixi/textures/Texture.js:171`

Remove a texture from the textureCache.

#### Parameters:

- `id` String

  the id of the texture to be removed

#### Returns:

Texture: the texture that was removed

### `setFrame`

(

- `frame`

)

Defined in `src/pixi/textures/Texture.js:83`

Specifies the rectangle region of the baseTexture

#### Parameters:

- `frame` Rectangle

## Properties

### `baseTexture`

BaseTexture

Defined in `src/pixi/textures/Texture.js:31`

The base texture of this texture

### `frame`

#Rectangle

Defined in `src/pixi/textures/Texture.js:40`

The frame specifies the region of the base texture that this texture uses